/**
 * List albums of a artist.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   more: true,
 *   artist: {...},
 *   hotAlbums: [{...}, ...]
 * }
 * ```
 *
 * @param {Number} id
 * @param {Object} data
 * @param {Number}  data.offset
 * @param {Number}  data.limit
 * @param {Boolean} data.total
 */
exports.artistAlbums = async function(id, data) {
  const opts = { offset: 0, limit: 30, total: true }
  data = Object.assign({}, opts, data)

  const res = await this.request(`/weapi/artist/albums/${id}`, data)
  return this.raw ? res : res.hotAlbums
}
