const only = require('only')

/**
 * Get artist description.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   count: 0,
 *   introduction: [{...}, ...],
 *   briefDesc: '',
 *   topicData: [{...}, ...]
 * }
 * ```
 *
 * @param {Number} id
 */
exports.artistDesc = async function(id) {
  const res = await this.request(`/weapi/artist/introduction`, { id })
  return this.raw ? res : only(res, ['introduction', 'briefDesc', 'topicData'])
}
