/**
 * Get top artists.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   more: true,
 *   artists: [{...}, ...]
 * }
 * ```
 *
 * @param {Object}  data
 * @param {Number}  data.offset
 * @param {Number}  data.limit
 * @param {Boolean} data.total
 */
exports.topArtists = async function(data) {
  const opts = { offset: 0, limit: 60, total: true }
  data = Object.assign({}, opts, data)

  const res = await this.request('/weapi/artist/top', data)
  return this.raw ? res : res.artists
}
