const only = require('only')

/**
 * Playlist catalogs.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   all: {...},
 *   sub: [{...}, ...],
 *   categories: {...}
 * }
 * ```
 */
exports.playlistCatalogs = async function() {
  const res = await this.request('/weapi/playlist/catalogue', {})
  return this.raw ? res : only(res, ['all', 'sub', 'categories'])
}
