const only = require('only')

/**
 * Get song detail.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   songs: [{...}],
 *   privileges: [{...}]
 * }
 * ```
 */
exports.songDetail = async function(id) {
  const data = {
    c: JSON.stringify([{ id }]),
    ids: [id]
  }
  const res = await this.request('/weapi/v3/song/detail', data)
  return this.raw ? res : only(res, ['songs', 'privileges'])
}
