const request = require('request')
const encrypt = require('./util/encrypt')

const baseurl = 'http://music.163.com'
const headers = {
  'Referer': baseurl,
  'User-Agent': [
    'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_5)',
    'AppleWebKit/537.36 (KHTML, like Gecko)',
    'Chrome/51.0.2704.103 Safari/537.36'
  ].join(' ')
}

class Client {
  constructor() {
    this._raw = false
  }

  get raw() {
    return this._raw
  }

  set raw(val) {
    this._raw = !!val
  }

  request(url, params) {
    const options = {
      method: 'POST',
      url: baseurl + url,
      form: encrypt(params),
      headers
    }

    return new Promise((resolve, reject) => {
      request(options, (err, res, body) => {
        if (err) {
          return reject(err)
        }
        try {
          resolve(JSON.parse(body))
        } catch (err) {
          reject(err)
        }
      })
    })
  }
}

Client.extend = function(name, val) {
  if (typeof name === 'object') {
    for (let key in name) {
      this.extend(key, name[key])
    }
    return this
  }

  if (typeof val === 'function') {
    this.prototype[name] = function() {
      return val.apply(this, arguments)
    }
  } else {
    this.prototype[name] = val
  }
  return this
}

module.exports = Client
